# Release a non expired reservation

Release a non expired reservation

Endpoint: PATCH /v1/booking/reservations/{id}/release
Version: release
Security: JWT

## Path parameters:

  - `id` (string, required)
    Reservation identifier

## Response 200 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `expired` (boolean, required)

  - `catalog` (string, required)
    Example: /v1/ticketing/catalogs/0194cb23-170e-71f0-b4bb-0a7e644dea34

  - `id` (string, required)
    Example: 0194cb34-0ad0-711e-b447-6e7a9423e96c

  - `createdAt` (string, required)
    Example: 2025-01-27T15:15:20+00:00

  - `totalAmountInclTax` (string, required)
    Example: 100.00

  - `totalAmountExclTax` (string, required)
    Example: 80.00

  - `expiresAt` (string, required)
    Example: 2025-01-27T15:15:20+00:00

  - `items` (array, required)

  - `items.id` (string, required)
    Example: 0194cb22-b891-754c-8c4c-777b93f8d072

  - `items.amountInclTax` (string, required)
    Example: 100.00

  - `items.amountExclTax` (string, required)
    Example: 80.00

  - `items.date` (string | null, required)
    Example: 2025-01-27

  - `items.offer` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/0194cb33-2af2-7939-b81f-1cb361cb6a7e

  - `items.product` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/products/0194cb33-438f-7e76-9aae-f83b4a594e16

  - `items.offerTickets` (array, required)

  - `items.offerTickets.ticket` (string, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/01956ae9-992b-729b-845e-f524d029139c/tickets/0194cb33-b620-7c91-9abe-1ff7b47ac3a2

  - `items.offerTickets.session` (string | null, required)
    Example: /v1/ticketing/catalogs/0194d07e-aa2e-77b1-b68d-92664785a066/offers/01956ae9-992b-729b-845e-f524d029139c/tickets/0194cb33-b620-7c91-9abe-1ff7b47ac3a2/sessions/0194cb33-c80d-7abe-ad9d-daf1018ecc47

  - `items.offerTickets.seating` (any, required)

  - `items.offerTickets.seating.seatNumber` (string, required)
    Example: 12

  - `items.offerTickets.seating.level` (string | null, required)
    Example: WEST/LOW-01-02

  - `items.offerTickets.seating.row` (string | null, required)
    Example: R

  - `items.offerTickets.seating.stand` (string | null, required)
    Example: S

  - `items.offerTickets.seating.stair` (string | null, required)
    Example: 2

  - `items.offerTickets.seating.gate` (string | null, required)
    Example: G

  - `organization` (string, required)
    Example: /v1/organizations/0194cb23-170e-71f0-b4bb-0a7e644dea34

  - `externalReference` (string | null, required)

  - `order` (string | null, required)

  - `seatsArrangement` (string, required)
    Enum: "ADJACENT", "NON_ADJACENT", "UNKNOWN"

  - `releasable` (boolean, required)

  - `status` (string, required)
    Enum: "reserved", "released"

## Response 400 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 404 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 422 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `status` (integer, required)

  - `violations` (array, required)

  - `violations.propertyPath` (string, required)
    The property path of the violation

  - `violations.message` (string, required)
    The message associated with the violation

  - `violations.code` (string)
    The code of the violation

  - `violations.hint` (string)
    An extra hint to understand the violation

  - `detail` (string, required)

  - `description` (string, required)

  - `type` (string, required)

  - `title` (string | null, required)

  - `instance` (string | null, required)

